> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Invite a user to an organization (admin only)



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi post /v1/organizations/{id}/invitations
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/organizations/{id}/invitations:
    post:
      tags:
        - Organizations
      summary: Invite a user to an organization (admin only)
      operationId: postV1OrganizationsByIdInvitations
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: ID da organização
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - email
              properties:
                email:
                  type: string
                  format: email
                  description: Email do convidado
                expiresAt:
                  type: integer
                  nullable: true
                  description: 'Timestamp de expiração (ms). Padrão: 7 dias.'
            example:
              email: amigo@email.com
              expiresAt: null
      responses:
        '201':
          description: Invitation created
          content:
            application/json:
              example:
                id: inv_abc123
                email: amigo@email.com
                status: Pending
        '400':
          description: Dados inválidos
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: validation error
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: unauthorized
        '403':
          description: Acesso negado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: forbidden
        '500':
          description: Erro interno do servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: internal_error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````